package com.liquidnet.service.chime.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: ChimeUserRegisterReqDto
 * @Package com.liquidnet.service.chime.dto
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/8 16:11
 */
@Data
public class ChimeUserRegisterReqDto {
    @ApiModelProperty(position = 0, value = "用户id", example = "")
    private String userId;
    private String nickName;
    private String sex;
    private String tags;
    private String performanceId;

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }

    private static final ChimeUserRegisterReqDto obj = new ChimeUserRegisterReqDto();

    public static ChimeUserRegisterReqDto getNew() {
        try {
            return (ChimeUserRegisterReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new ChimeUserRegisterReqDto();
        }
    }

}
